package nvidia-prime not installed failed to install/upgrade: subprocess installed post-removal script returned error exit status 127

Bug #1264611 reported by caoyj on 2013-12-28
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
nvidia-prime (Ubuntu)
High
Alberto Milone
Precise
High
Alberto Milone

Bug Description

Hi, I want to do
apt-get purge nvidia-prime and failed in ubuntu12.04 ,so I have to reinstall it
now this problem ocurred...

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: nvidia-prime (not installed)
ProcVersionSignature: Ubuntu 3.8.0-35.50~precise1-generic 3.8.13.13
Uname: Linux 3.8.0-35-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: i386
Date: Fri Dec 27 11:39:48 2013
DuplicateSignature: package:nvidia-prime:(not installed):subprocess installed post-removal script returned error exit status 127
ErrorMessage: subprocess installed post-removal script returned error exit status 127
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release i386 (20130820.1)
MarkForUpload: True
SourcePackage: nvidia-prime
Title: package nvidia-prime (not installed) failed to install/upgrade: subprocess installed post-removal script returned error exit status 127
UpgradeStatus: No upgrade log present (probably fresh install)

caoyj (cao-crazy) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-prime (Ubuntu):
status: New → Confirmed
Gabriel (guildmaster) wrote :

 I tracked the problem to /var/lib/dpkg/info/nvidia-prime.postrm: 75 (just as the log says)

I have found a fix ( well, almost a fix ). I used "sudo leafpad" to open the "/var/lib/dpkg/info/nvidia-prime.postrm" file. I deleted everything between
          " # Restore the alternatives to a non prime
            # configuration, if possible
            os_release="$(lsb_release -c | cut -d: -f2 | sed "s/\t//g")" "
                  and
          "update-alternatives --auto "$other_arch" || true
                fi
            fi "
 I was now able to remove it using autoremove and reinstall. I don't know if this method is safe.

Alberto Milone (albertomilone) wrote :

if you install the dpkg-dev package, the problem will go away.

I should really fix this so that we don't need that dependency though.

Changed in nvidia-prime (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-prime - 0.5.3

---------------
nvidia-prime (0.5.3) trusty; urgency=low

  * debian/postrm.in, debian/rules:
    - Avoid calling dpkg-architecture (LP: #1264611).
  * prime-xconfig:
    - Properly format hexadecimal parameters (LP: #1252667).
 -- Alberto Milone <email address hidden> Fri, 10 Jan 2014 14:41:22 +0100

Changed in nvidia-prime (Ubuntu):
status: Triaged → Fix Released
Changed in nvidia-prime (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
milestone: none → ubuntu-12.04.4

Hello caoyj, or anyone else affected,

Accepted nvidia-prime into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-prime/0.5~hybrid0.0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-prime (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Alberto Milone (albertomilone) wrote :

There are no regressions in the new package:

:~$ apt-cache policy nvidia-prime
nvidia-prime:
  Installed: 0.5~hybrid0.0.2
  Candidate: 0.5~hybrid0.0.2
  Version table:
 *** 0.5~hybrid0.0.2 0
        400 http://archive.ubuntu.com/ubuntu/ precise-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.4.2~hybrid0.0.1 0
        500 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-prime - 0.5~hybrid0.0.2

---------------
nvidia-prime (0.5~hybrid0.0.2) precise-proposed; urgency=low

  * debian/control:
    - Add alternative dependency on gdm and kdm.
  * debian/preinst.in:
    - Set the lightdm configuration bits only if lightdm is the
      default display manager (LP: #1262068).
  * debian/postrm.in, debian/rules:
    - Avoid calling dpkg-architecture (LP: #1264611).
  * prime-xconfig:
    - Format hexadecimal parameters properly (LP: #1252667).

nvidia-prime (0.5~hybrid0.0.1) precise-proposed; urgency=low

  * New upstream release:
    - Add support for power management (LP: #1259237).
  * debian/control:
    - Depend on upstart, bbswitch, lsb-release, lightdm >= 1.2.3-0ubuntu2.4,
      screen-resolution-extra (>= 0.14ubuntu2.1).
    - Build only for i386 and amd64.
 -- Alberto Milone <email address hidden> Mon, 13 Jan 2014 16:32:47 +0100

Changed in nvidia-prime (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for nvidia-prime has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers